Loading...
Searching...
No Matches
gsm0503_parity.h File Reference
Parity

GSM TS 05.03 parity. More...

`#include <osmocom/core/crcgen.h>`

Go to the source code of this file.

## Variables

const struct osmo_crc64gen_code | gsm0503_fire_crc40
| GSM (SACCH) parity (FIRE code)
const struct osmo_crc16gen_code | gsm0503_cs234_crc16
| GSM PDTCH CS-2, CS-3, CS-4 parity.
const struct osmo_crc8gen_code | gsm0503_mcs_crc8_hdr
| EDGE MCS header parity.
const struct osmo_crc16gen_code | gsm0503_mcs_crc12
| EDGE MCS data parity.
const struct osmo_crc8gen_code | gsm0503_rach_crc6
| GSM RACH parity.
const struct osmo_crc16gen_code | gsm0503_sch_crc10
| GSM SCH parity.
const struct osmo_crc8gen_code | gsm0503_tch_fr_crc3
| GSM TCH FR/HR/EFR parity.
const struct osmo_crc8gen_code | gsm0503_tch_efr_crc8
| GSM TCH EFR parity.
const struct osmo_crc8gen_code | gsm0503_amr_crc6
| GSM AMR parity.
const struct osmo_crc16gen_code | gsm0503_amr_crc14
| GSM AMR parity (SID_UPDATE)

## Detailed Description

GSM TS 05.03 parity.